Bug 198773 - [UPDATE] x11/libfm to 1.2.3
Summary: [UPDATE] x11/libfm to 1.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords: needs-qa, patch
Depends on: 198770
Blocks: 198774
  Show dependency treegraph
 
Reported: 2015-03-21 14:09 UTC by Olivier Duchateau
Modified: 2015-04-10 17:25 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (horia)


Attachments
Patch to update x11/libfm (12.32 KB, patch)
2015-03-21 14:09 UTC, Olivier Duchateau
koobs: maintainer-approval? (horia)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2015-03-21 14:09:08 UTC
Created attachment 154631 [details]
Patch to update x11/libfm

- Update to 1.2.3
- Adjust LICENSE and dependencies
- Fix USES=gettext-* when NLS option is not set
- Disable static library
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-03-23 08:11:08 UTC
Reporter is committer
Comment 2 commit-hook freebsd_committer 2015-04-10 17:08:17 UTC
A commit references this bug:

Author: olivierd
Date: Fri Apr 10 17:08:05 UTC 2015
New revision: 383743
URL: https://svnweb.freebsd.org/changeset/ports/383743

Log:
  - Update to 1.2.3
  - Adjust LICENSE and dependencies
  - Fix USES= gettext-* when NLS option is not set
  - Remove STATIC option

  Add x11-libfm-extra to avoid circular dependency (required for
  x11/menu-cache >= 1.0.0 and x11/libfm >= 1.2.3)

  PR:		198773 (based on)
  Submitted by:	myself
  Approved by:	maintainer (timeout 3 weeks)

Changes:
  head/x11/Makefile
  head/x11/libfm/Makefile
  head/x11/libfm/distinfo
  head/x11/libfm/files/
  head/x11/libfm/files/patch-configure
  head/x11/libfm/files/patch-src_Makefile.in
  head/x11/libfm/files/patch-src_actions_Makefile.in
  head/x11/libfm/files/patch-src_modules_Makefile.in
  head/x11/libfm/pkg-plist
  head/x11/libfm-extra/
  head/x11/libfm-extra/Makefile
  head/x11/libfm-extra/distinfo
  head/x11/libfm-extra/files/
  head/x11/libfm-extra/files/patch-src_Makefile.in
  head/x11/libfm-extra/pkg-plist
Comment 3 Olivier Duchateau freebsd_committer 2015-04-10 17:25:58 UTC
Committed!